﻿.btn-primary, a.page-link .active {
    background-color: #765238 !important;
    border: 1px solid #765238 !important;
}

span.bg-primary {
    background-color: #765238 !important;
    font-size: 11px !important;
}

/* DATATABLES */
.pagination .page-item.active .page-link {
    background-color: #765238 !important;
    border-color: #765238 !important;
    color: white !important;
}

.pagination .page-item.active .page-link:hover {
    background-color: #765238 !important;
    border-color: #765238 !important;
}

/*SELECT 2*/
.select2-container--default .select2-selection--single, .select2-container--default .select2-selection--multiple {
    display: block;
    width: 100%;
    padding: 5px !important;
    height: 40px !important;
    font-size: .812rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--bs-body-color);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: var(--bs-card-bg);
    background-clip: padding-box;
    border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    -webkit-transition: border-color .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out, -webkit-box-shadow .15s ease-in-out
}

span.select2-selection__arrow {
    padding: 18px !important;
}

.selectr-tag {
    background-color: #765238 !important;
}

.select2-selection__choice {
    background-color: #765238 !important;
    border: 1px solid #765238 !important;
    color: white !important;
}

.select2-selection__choice button {
    border: none !important;
}

.select2-selection__choice button:hover {
    background-color: #765238 !important;
}

.select2-selection__choice span {
    color: white !important;
}

/* Quitar el efecto gris del select2 cuando está disabled */
.select2-container--default.select2-container--disabled .select2-selection {
    background-color: white !important;
    color: #444 !important;
    cursor: default !important;
    opacity: 1 !important;
}

/* Opcional: el ícono de flecha para que no se vea apagado */
.select2-container--default.select2-container--disabled .select2-selection__arrow b {
    border-color: #888 !important;
}

/*COLOR IN ADD PRODUCT*/
.color-options {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
}

.color-radio {
    cursor: pointer;
}

.color-radio input {
    display: none;
}

.color-circle {
    width: 28px;
    height: 28px;
    border-radius: 50%;
    display: block;
    border: 2px solid #ccc;
    transition: .2s;
}

.color-radio input:checked + .color-circle {
    border: 3px solid black;
    transform: scale(1.1);
}